## spambayes 1.1b1+git20190201.1335ca8

=== testtools/Makefile ===

#
# GNU Makefile to make it easy to run timcv.
#
# To use, create a pair of SpamBayes config files, e.g., std.ini and
# trial.ini, then execute
#
#    make BASE=std TRIAL=trial
#
# The final output will be in std-trial.txt.
#
# Since the default value for BASE and TRIAL are "std" and "trial",
# respectively, the above can be abbreviated to
#
#    make
#
# If you want to compare multiple trial configurations against a single
# standard configuration, execute (for example):
#
#    make TRIAL=trial1
#    make TRIAL=trial2
#
# (assuming your baseline configuration is in std.ini).  The Makefile will
# avoid running timcv.py against the standard configuration unnecessarily,
# speeding things up a bit.
#
# This Makefile assumes the availability of GNU make.  It uses both the
# $(shell ...) and $(wildcard ...) constructs.  It also assumes your
# SpamBayes source tree is rooted at ~/src/spambayes.
#

SBDIR  = $(HOME)/src/spambayes

PYTHON = python
TIMCV  = $(PYTHON) $(SBDIR)/testtools/timcv.py
RATE   = $(PYTHON) $(SBDIR)/testtools/rates.py
CMP    = $(PYTHON) $(SBDIR)/testtools/cmp.py
NDIR   = $(shell ls -d Data/Ham/Set* | wc -l)

SEED   = 12345

BASE   = std
TRIAL  = trial

DATA=$(wildcard Data/Ham/* Data/Spam/*)

all : $(BASE)-$(TRIAL).txt

$(BASE)-$(TRIAL).txt : $(TRIAL)s.txt $(BASE)s.txt
	$(CMP) $(BASE)s.txt $(TRIAL)s.txt > $(BASE)-$(TRIAL).txt

$(BASE)s.txt : $(BASE).txt
	$(RATE) $(BASE)

$(TRIAL)s.txt : $(TRIAL).txt
	$(RATE) $(TRIAL)

$(BASE).txt : $(BASE).ini $(DATA)
	BAYESCUSTOMIZE=$(BASE).ini $(TIMCV) -n $(NDIR) -s $(SEED) > $(BASE).txt

$(TRIAL).txt : $(TRIAL).ini $(DATA)
	BAYESCUSTOMIZE=$(TRIAL).ini $(TIMCV) -n $(NDIR) -s $(SEED) > $(TRIAL).txt

clean : FORCE
	rm -f $(BASE)-$(TRIAL).txt $(BASE)*.txt $(TRIAL)*.txt

FORCE :

## spambayes 1.0.4

=== debian/changelog ===
spambayes (1.0.4-6build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:10:59 +0000

spambayes (1.0.4-6) unstable; urgency=low

  * acknowledge NMU (closes:  #484442)
  * updated to 3.0 (quilt) format
  * switched to python-support
  * split diff.gz in several quilt patches (closes: #485701)
  * fix remaining erroneous from __future__ imports (closes: #582001)
  * handle exception which can be generated by some ill-formed emails
    (closes: #491278)
  * updated standards to 3.9.1:
    -  renamed scripts in order not to have .py files in /usr/bin 
       (but create bw compat symlinks in postinst)
  * removed sb_pop3dnd (not working with current version of twisted in Debian,
    and nobody seems to use it since no bug report was filed)
  
 -- Alexandre Fayolle <afayolle@debian.org>  Fri, 05 Nov 2010 17:48:58 +0100

spambayes (1.0.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in debian/rules (closes: #484442)

 -- Peter Eisentraut <petere@debian.org>  Fri, 11 Jul 2008 11:11:27 +0200

spambayes (1.0.4-5) unstable; urgency=low

  * fixed future imports (closes: #476622)

 -- Alexandre Fayolle <afayolle@debian.org>  Tue, 13 May 2008 18:38:12 +0200

spambayes (1.0.4-4) unstable; urgency=low

  * Rebuild with new default python (closes: #476274)
  * updated to new standards

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 17 Apr 2008 15:42:37 +0200

spambayes (1.0.4-3) unstable; urgency=low

  * Complie with Policy §7.6

 -- Alexandre Fayolle <afayolle@debian.org>  Fri, 16 Jun 2006 09:49:47 +0200

spambayes (1.0.4-2) unstable; urgency=low

  * updated to 3.7.2 standards
  * new Python policy
  * Fixed Gnus instructions (closes: #340872)
  * Applied patch by Kim Minh Kaplan <qdsmgbm02@sneakemail.com> allowing
    sb_imapfilter to use CRAM MD5 authentication (closes: #301221)

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 15 Jun 2006 11:11:34 +0200

spambayes (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Use 3.6.2 standards
  * Use debhelper 5.0
  * Added watch file for DEHS

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 20 Mar 2006 11:36:54 +0100

spambayes (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Removed the python2.3-spambayes package, and leave only spambayes (Closes: #286590)

 -- Alexandre Fayolle <afayolle@debian.org>  Tue, 15 Feb 2005 17:25:15 +0100

spambayes (1.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #286551)
  * Fixed path in example spambayes.el file (Closes: #285636)

 -- Alexandre Fayolle <afayolle@debian.org>  Tue, 21 Dec 2004 15:18:43 +0100

spambayes (1.0-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #267946)

 -- Alexandre Fayolle <afayolle@debian.org>  Sun, 24 Oct 2004 11:06:51 +0200

=== debian/control ===
Source: spambayes
Section: mail
Priority: optional
Maintainer: Alexandre Fayolle <afayolle@debian.org>
Build-Depends: debhelper (>= 7.0.50), python (>=2.3.5-7)
Build-Depends-Indep: python-support (>=0.5.3)
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://spambayes.sourceforge.net 

Package: spambayes
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}
Description: Python-based spam filter using statistical analysis
 SpamBayes uses a different set of algorithm to most statistical spam
 filters, which enables to dramatically lower the number of legitimate
 mail classified as spam, through the introduction of an 'unsure'
 category.
 .
 SpamBayes can be used as a POP3 or an IMAP proxy, as well as a simple 
 mail filter for use with procmail.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/python/python.mk

SB=debian/spambayes

build: build-stamp
build-stamp: 
	dh_testdir

	## Build for all python versions
	python setup.py build
	cp CHANGELOG.txt changelog
	touch build-stamp

clean: 
	dh_testdir
	rm -f build-stamp install-stamp
	rm -rf build $(SB)
	python setup.py clean
	rm -f *.pyc */*.pyc */*/*.pyc
	rm -f changelog
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

	# Install Python modules
	python setup.py -q install --root=$(SB) --no-compile ${py_setup_install_args}
	prename "s/.py//" $(SB)/usr/bin/*.py
	rm -f $(SB)/usr/bin/sb_pop3dnd 
	dh_install -A
	touch install-stamp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_pysupport -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:

binary: binary-indep
.PHONY: build clean binary-indep binary install binary-arch

## spambayes 1.1a6

=== debian/changelog ===
spambayes (1.1a6-1) unstable; urgency=low

  * new upstream release (closes: #586802)
  * update to modern packaging style, with dh_python2
    - rebuild with python2.7 (closes: #427126)
  * remove sb_notesfilter which only runs on Windows (closes: #593977)

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 19 Oct 2011 08:32:06 +0200

=== debian/control ===
Source: spambayes
Section: mail
Priority: optional
Maintainer:Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>
Build-Depends: debhelper (>= 7.0.50), python (>=2.6.6-3~), python-setuptools, python-lockfile
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://spambayes.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/spambayes/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/spambayes/trunk

Package: spambayes
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python-based spam filter using statistical analysis
 SpamBayes uses a different set of algorithm to most statistical spam
 filters, which enables to dramatically lower the number of legitimate
 mail classified as spam, through the introduction of an 'unsure'
 category.
 .
 SpamBayes can be used as a POP3 or an IMAP proxy, as well as a simple
 mail filter for use with procmail.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	python setup.py clean
 	rm -f *.pyc */*.pyc */*/*.pyc
 	rm -f changelog
+	rm -rf spambayes.egg-info
 	dh_clean
 
 install: install-stamp
@@ -33,6 +34,7 @@
 
 	# Install Python modules
 	python setup.py -q install --root=$(SB) --no-compile ${py_setup_install_args}
+	rm $(SB)/usr/bin/sb_notesfilter.py
 	prename "s/.py//" $(SB)/usr/bin/*.py
 	rm -f $(SB)/usr/bin/sb_pop3dnd 
 	dh_install -A
@@ -43,7 +45,7 @@
 	dh_testroot -i
 	dh_installdocs -i
 	dh_installchangelogs -i
-	dh_pysupport -i
+	dh_python2 -i
 	dh_link -i
 	dh_strip -i
 	dh_compress -i

## spambayes 1.1b1

=== debian/changelog ===
spambayes (1.1b1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * debian/copyright:
    - Added a line to signal the adoption.
  * debian/control:
    - Deleted Alexandre from the Uploaders field at his request.
    - Added myself in the Uploaders field.
    - Use the last version of Debian Policy, 3.9.5 instead of 3.9.2.
  * debian/spambayes.prerm and debian/spambayes.postinst:
    - Fixed a lintian pedantic warning by deleting -e from shebang and
      adding set -e.
  * debian/spambayes.docs:
    - Listed the CHANGELOG.txt file.
  * debian/rules: 
    - Added build-arch and build-indep directives.
    - Added dh_installman -i directive.
  * debian/patches/series and debian/patches/asyncore.patch
    - Written and added asyncore.patch to fix the 'from spambayes import
      asyncore' error.
  * debian/docs/* and debian/manpages
    - Written manpages for core_server (closes: #457197), and sb_*
      (closes: #286550).

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Fri, 13 Jun 2014 11:07:33 +0200

=== debian/control ===
Source: spambayes
Section: mail
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hugo6390@orange.fr>
Build-Depends: debhelper (>= 7.0.50), 
               python (>=2.6.6-3~), 
               python-setuptools, 
               python-lockfile
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://spambayes.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/spambayes/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/spambayes/trunk/

Package: spambayes
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python-based spam filter using statistical analysis
 SpamBayes uses a different set of algorithm to most statistical spam
 filters, which enables to dramatically lower the number of legitimate
 mail classified as spam, through the introduction of an 'unsure'
 category.
 .
 SpamBayes can be used as a POP3 or an IMAP proxy, as well as a simple
 mail filter for use with procmail.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 include /usr/share/python/python.mk
 
 SB=debian/spambayes
+
+build-arch: build
+build-indep: build
 
 build: build-stamp
 build-stamp: 
@@ -44,6 +47,7 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i
+	dh_installman -i
 	dh_installchangelogs -i
 	dh_python2 -i
 	dh_link -i

=== debian/watch ===
version=3
http://sf.net/spambayes/spambayes-(.*)\.tar\.gz

## spambayes 1.1b1+git20190201.1335ca8

=== debian/changelog ===
spambayes (1.1b1+git20190201.1335ca8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Hugo Lefeuvre ]
  * Switch to version from upstream git repository: upstream did not release
    for a long time and a large number of important fixes are available there.
    - this brings back missing asyncore modules which were not included in
      previous tarballs due to incorrect release scripts (Closes: #905222).
    - remove asyncore patch which is not needed anymore.
  * debian/patches/fix-imports-from-sb_server.patch:
    - fix import error in smtpproxy.
  * debian/control:
    - run testsuite autopkgtest-pkg-python.
    - bump Standards-Version to 4.3.0.
  * debian/copyright:
    - refresh copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 01 Feb 2019 09:00:32 +0100

spambayes (1.1b1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [ Hugo Lefeuvre ]
  * Bump debian/compat to 11.
  * debian/control:
    - Update debhelper dependency to match compat.
    - Bump Standards-Version to 4.1.5.
    - Switch Homepage to the GitHub one since it contains more up-to-date
      information.
  * Bump copyright years.
  * Bump debian/watch version to 4.
  * Remove patch handle_ValueError_in_decode_headers.patch (looks like it was
    applied upstream at some point, removed from series but never deleted).

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 29 Jul 2018 11:55:34 +0800

spambayes (1.1b1-4) unstable; urgency=medium

  * Upload to unstable (Closes: #876622).
  * Modify debian/patches/asyncore.patch:
    Instead of importing incompatible asyncore and asynchat modules from
    Python, remove affected functionalities (Closes: #785503).
  * Bump Standards-Version to 4.1.1.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 07 Oct 2017 09:56:27 +0200

spambayes (1.1b1-3) experimental; urgency=medium

  * Fix things broken by the pybuild port:
    - fix script names ending with .py again (Closes: #863677).
    - stop installing broken sb_notesfilter
  * Remove debian/NEWS.Debian, debian/spambayes.postinst and spambayes.prerm:
    - Stop providing .py symlinks in /usr/bin (this was a transition measure
      since 1.0.4-6).
  * Add rename to the Build-Dependencies, stop using deprecated prename
    program.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 10 Jun 2017 12:02:12 +0200

spambayes (1.1b1-2) experimental; urgency=low

  * Acknowledge NMU (Closes: #857531). Thanks Marcio !
  * debian/control:
    - Update Hugo Lefeuvre's e-mail address.
    - Depend on debhelper 10 instead of 5.
    - Bump Standards-Version to 3.9.8.
    - Remove useless version indication in the python dependency.
  * Bump debian/compat to 10.
  * Port debian/rules to pybuild.
  * debian/copyright:
    - Make debian/copyright DEP5 compliant.
    - Re-license debian/* to GPL-3+ (Approved by Alexandre Fayolle).
    - Update Hugo Lefeuvre's e-mail address.
  * Upstream changelog is automatically installed, stop mentionning
    it in debian/spambayes.docs
  * Remove debian/TODO, not up-to-date anymore.
  * debian/patches/lockfile.patch:
    - Compatibility with newer python-lockfile (>> 0.10) (Closes: #789564)

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 24 May 2017 15:09:12 +0200

spambayes (1.1b1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/spambayes.postinst:
      - Removed the sb_notesfilter to avoid create broken symlink.
        (closes: #857531)

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Sat, 18 Mar 2017 16:59:15 +0000

=== debian/control ===
Source: spambayes
Section: mail
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 11),
               python,
               python-setuptools,
               python-lockfile (>= 1:0.10),
               dh-python,
               rename
Standards-Version: 4.3.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/smontanaro/spambayes
Vcs-Git: https://salsa.debian.org/python-team/applications/spambayes.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/spambayes

Package: spambayes
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python-based spam filter using statistical analysis
 SpamBayes uses a different set of algorithm to most statistical spam
 filters, which enables to dramatically lower the number of legitimate
 mail classified as spam, through the introduction of an 'unsure'
 category.
 .
 SpamBayes can be used as a POP3 or an IMAP proxy, as well as a simple
 mail filter for use with procmail.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=spamassassin
SB=debian/spambayes

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rename "s/.py//" $(SB)/usr/bin/*.py
	rm -f $(SB)/usr/bin/sb_pop3dnd
	rm -f $(SB)/usr/bin/sb_notesfilter

=== debian/watch ===
version=4
https://sf.net/spambayes/spambayes-(.*)\.tar\.gz
